<?xml version="1.0" standalone="yes"?>
<!-- JEDIVIEW Toolchain Configurtion file-->
<Configurations>
	<Toolchain ENV="GNUUCARM" BIN="bin" INC="arm-elf/sys-include" LIB="arm-elf/lib" CPPINC="include/g++-3"
		 KERNELINC="arm-elf/include/sys-include" data_KERNELINC="libs/sysdata/uClinux/KERNEL" 
		 data_INC="libs/sysdata/uClinux/GNUINC" data_CPPINC="libs/sysdata/uClinux/GNUC++"
		 Lang="0x804=armuclinux.chs" />
 	
 	<TypeMap>
 		<Item name= "uClinux Executable"  	map="project_uc_ap.xml" ext='0' wizard = '0' />
<!-- 		
  		<Item name= "uClinux Shared Library"  	map="project_uc_so.xml" ext='0' wizard = '0' />
-->
 		<Item name= "uClinux Module"  		map="project_uc_mo.xml" ext='0' wizard = '0' />
 		<Item name= "uClinux Static Library"  	map="project_uc_sa.xml" ext='0' wizard = '0' />
 		<Item name= "External Makefile"  	map="project_exmake.xml" ext='1' wizard = '0' /> 		
 	</TypeMap>       

	<Configuration >
		<Cluster name="Target" Tool="CC;AS;LD">
		   <Catalog name="General">
			<Minor name="Target CPU" 
			type="COMBOLIST" 
			content="arm7tdmi!arm9tdmi" 
			value="0" 
			syntax="-mcpu=arm7tdmi!-mcpu=arm9tdmi"
			cmd="CFLAGS"
			desc="Specify the target CPU ">
			</Minor>


			<Minor name="APCS PC" 
			type="COMBOLIST" 
			content="32-bit!26-bit" 
			value="0" 
			syntax="-mapcs-32!-mapcs-26"
			cmd="CFLAGS"
			desc="Generate code for a processor running with a 26-bit or 32-bit program counter. ">
			</Minor>

			<Minor name="Endian" 
			type="COMBOLIST" 
			content="Little!Big" 
			value="0" 
			syntax="-mlittle-endian!-mbig-endian"
			cmd="CFLAGS"
			desc="Target endian mode">
			</Minor>

			<Minor name="Hard Floating Point" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="1" 
			syntax="-mhard-float!-mhard-float"
			cmd="CFLAGS"
			desc="Generate output containing library calls for floating point.">
			</Minor>
			
			<Minor name="APCS Frame" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="1" 
			syntax="-mapcs-frame"
			cmd="CFLAGS"
			desc="Generate a stack frame compliant with ARM Procedure Call Standard ">
			</Minor>
			
			<Minor name="Interwork" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="" 
			syntax="-mthumb-interwork"
			cmd="CFLAGS"
			desc="interwork project">
			</Minor>						
			
		   </Catalog>	
		</Cluster>	
		<Cluster name="Assembler" Tool="AS">
		   <Catalog name="General">
		   	<Minor name="Source Level Debug" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="1" 
			syntax="-Wa,--gstabs"
			cmd="ASFLAGS"
			desc="Enable Assembly Source Level Debug">
			</Minor>   
		      <Minor name="ARM/Thumb" 
			type="COMBOLIST" 
			content="arm!thumb" 
			value="0" 
			syntax="!-mthumb"
			cmd="ASFLAGS"
			desc="generate for ARM or THUMB code">
			</Minor>
					   
			<Minor name="Enable Listing" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wa,-a"
			cmd="ASFLAGS"
			desc="Generate the assembly listings">
			</Minor>

			<Minor name="List File" 
			type="edit" 
			content="" 
			value="0" 
			syntax="-Wa,-a=%l"
			cmd="ASFLAGS"
			desc="Set the name of the listing file">
			</Minor>

			<Minor name="Local Symbol" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wa,-L"
			cmd="ASFLAGS"
			desc="Keep Local Symbols">
			</Minor>
			
			<Minor name="Include Path" derive="1"
			type="Path" 
			content="" 
			value="0" 
			syntax="-I %l"
			cmd="ASFLAGS"
			desc="Add directories to the search list for .include directives">
			</Minor>
			
			<Minor name="Define Macro" derive="1"
			type="edit" 
			content="" 
			value="0" 
			syntax="-D%l"
			cmd="ASFLAGS"
			desc="Define macro">
			</Minor>
			
			<Minor name="Define symbol" 
			type="Edit" 
			content="" 
			value="" 
			syntax="-Wa,--defsym -Wa,%l"
			cmd="ASFLAGS"
			desc="Define a symbol to given value">	
			</Minor>					
			
			<Minor name="Debug format" 
			type="COMBOLIST" 
			content="NONE!STABS" 
			value="0" 
			syntax="!-Wa,-gstabs"
			cmd="ASFLAGS"
			desc="Determine the format of debugging information">
			</Minor>
<!--						
		   </Catalog>	

 		   <Catalog name="Warning">
-->
			<Minor name="No Warning" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-W"
			cmd="ASFLAGS"
			MaskSibling = '1'
			desc="Suppress warning message">

			</Minor>		   
			<Minor name="Signed Flow" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-J"
			cmd="ASFLAGS"
			desc="Do not warn about signed overflow">
			</Minor>

			<Minor name="Long Displacement" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-K"
			cmd="ASFLAGS"
			desc="Issue warnings when difference tables altered for long displacement">
			</Minor>
			
		   </Catalog>	
		</Cluster>
		
		<Cluster name="Compiler" Tool="CC">
		    <Catalog name = "General"> 	
		      
		      <Minor name="ARM/Thumb" 
			type="COMBOLIST" 
			content="arm!thumb" 
			value="0" 
			syntax="!-mthumb"
			cmd="CFLAGS"
			desc="generate for ARM or THUMB code">
			</Minor>
					    
			<Minor name="Save Temp" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-save-temps"
			cmd="CFLAGS"
			desc="Do not delete intermediate files">
			</Minor>
			
			<Minor name="Optimization Level" 
			type="COMBOLIST" 
			content="No Optimize!Optimize One !Optimize Two! Optimize Three" 
			value="0" 
			syntax="-O0!-O1!-O2!-O3"
			cmd="CFLAGS"
			desc="Determine the Level of Optimization">
			</Minor>


			<Minor name="Warning as Error" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Werror"
			cmd="CFLAGS"
			desc="Treat warnings as errors">
			</Minor>
						
        			
			<Minor name="Include Path" derive="1"
			type="Path" 
			content="" 
			value="0" 
			syntax="-I%l"
			cmd="CFLAGS"
			desc="Add directories to the search list for include">
			</Minor>
			
			<Minor name="Define Macro" derive="1"
			type="edit" 
			content="" 
			value="0" 
			syntax="-D%l"
			cmd="CFLAGS"
			desc="Define macro">
			</Minor>
			            
			              
		   </Catalog>			
		
		   <Catalog name = "C Language"> 	
			<Minor name="ANSI" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-ansi"
			cmd="CFLAGS"
			desc="Disable all non-ansi extension to the language">
			</Minor>


			<Minor name="No asm recognize" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fno-asm"
			cmd="CFLAGS"
			desc="Do not recognize asm, inline or typedef as a keyword.">
			</Minor>

			<Minor name="No built-in functions" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fno-builtin"
			cmd="CFLAGS"
			desc="Do not recognize builtin functions that do not begin with two leading underscore">
			</Minor>

			<Minor name="Trigraphs" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-trigraphs"
			cmd="CFLAGS"
			desc="Support ANSI C trigraphs">
			</Minor>

			<Minor name="Traditional" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-traditional"
			cmd="CFLAGS"
			desc="Attempt to support some aspects of traditional C compilers.">
			</Minor>

			<Minor name="Traditional C Preprocessor" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-traditional-cpp"
			cmd="CFLAGS"
			desc="Attempt to support some aspects of traditional C preprocessors">
			</Minor>

			<Minor name="Condition Mismatch" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fcond-mismatch"
			cmd="CFLAGS"
			desc="Allow conditional expressions with mismatched types in the second and third arguments.">
			</Minor>

			<Minor name="Unsigned char" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-funsigned-char"
			cmd="CFLAGS"
			desc="Let the type char be unsigned, like unsigned char">
			</Minor>

			<Minor name="Signed char" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fsigned-char"
			cmd="CFLAGS"
			desc="Let the type char be signed like signed char">
			</Minor>

			<Minor name="Writable string" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fwritable-string"
			cmd="CFLAGS"
			desc="Store string constants in the writable data segment and do not uniquize them">
			</Minor>

			<Minor name="Single Precision" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fallow-single-precision"
			cmd="CFLAGS"
			desc="Do not promote single precision math operations to double precision">
			</Minor>


		   </Catalog>
		
		   <Catalog name="Warning">
		   
			<Minor name="Warning All" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="1" 
			syntax="-Wall"
			cmd="CFLAGS"
			MaskSibling = '1'
			desc="Warning all the options combined, if this option is true, other warning options are masked">
			</Minor>
		   
			<Minor name="No Warning" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-w"
			cmd="CFLAGS"
			MaskSibling = '1'
			desc="Inhibit all warning messages, if this option is true and 'Warning all' is false, other warning options are masked">
			</Minor>
					   
			<Minor name="Syntax Only" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="1" 
			syntax="-fsyntax-only"
			cmd="CFLAGS"
			
			desc="Check the code for syntax errors, but do not do anything beyond that">
			</Minor>
			
			<Minor name="Pedantic" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-pedantic"
			cmd="CFLAGS"
			desc="Issue all the warnings demanded by strict ANSI standard C">
			</Minor>
			
			<Minor name="Pedantic Errors" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-pedantic-errors"
			cmd="CFLAGS"
			desc="Issue all the warnings demanded by strict ANSI standard C as errors">
			</Minor>



			<Minor name="No Warning Import" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wno-import"
			cmd="CFLAGS"
			desc="Inhibit warning messages about the use of #import">
			</Minor>

			<Minor name="Char Subscripts" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wchar-subscripts"
			cmd="CFLAGS"
			desc="Warning if an array subcript has type char">
			</Minor>

			<Minor name="Comment" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wcomment"
			cmd="CFLAGS"
			desc="Warning about comment">
			</Minor>

			<Minor name="Warning format" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wformat"
			cmd="CFLAGS"
			desc="Check calls to printf and scanf">
			</Minor>

			<Minor name="Warning implicit" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wimplicit"
			cmd="CFLAGS"
			desc="Warn whenever a function or parameter is imlicitly declared">
			</Minor>

			<Minor name="Warning parentheses" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wparentheses"
			cmd="CFLAGS"
			desc="Warn if parentheses are omitted in certain contexts">
			</Minor>

			<Minor name="Warning return type" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wreturn-type"
			cmd="CFLAGS"
			desc="Warn whenever a function is defined with a return-type that default to int">
			</Minor>

			<Minor name="Warning Switch" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wswich"
			cmd="CFLAGS"
			desc="Warn whenever a switch statement has an index of enumeral type and lacks a case for one or more of the named codes of that enumeration">
			</Minor>

			<Minor name="Warning Trigraphs" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wtrigraphs"
			cmd="CFLAGS"
			desc="Warn if any trigraphs are encountered">
			</Minor>

			<Minor name="Warning Unused" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wunused"
			cmd="CFLAGS"
			desc="Warn whenever a variable is unused aside from its declaration">
			</Minor>

			<Minor name="Warning uninitialized" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wuninitialized"
			cmd="CFLAGS"
			desc="An automatic variable is used without first being initialized">
			</Minor>

			<Minor name="Warning Reorder" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wreorder"
			cmd="CFLAGS"
			desc="Warn when the order of member initializers given in the code does not match the order in which they must be executed.">
			</Minor>

			<Minor name="Warning Sign Compare" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wsign-compare"
			cmd="CFLAGS"
			desc="Warn when a compaison between signed and unsigned variables could produce an incorrect result when the signed value is converted to unsigned">
			</Minor>

			<Minor name="Warning Template debugging" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wtemplate-debugging"
			cmd="CFLAGS"
			desc="Warn if debugging is not yet fully available(C++ Only)">
			</Minor>


			<Minor name="Warning Shadow" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wshadow"
			cmd="CFLAGS"
			desc="Warn whenever a local variable shadows another local variable">
			</Minor>

			<Minor name="Warning Pointer Arith" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wpointer-arith"
			cmd="CFLAGS"
			desc="Warn about anything that depends on the size of a function type or of void">
			</Minor>

			<Minor name="Warning Bad function cast" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wbad-function-cast"
			cmd="CFLAGS"
			desc="Warn whenever a function call is cast to a non-matching type.">
			</Minor>

			<Minor name="Warning Cast Qualifier" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wcast-qual"
			cmd="CFLAGS"
			desc="Warn whenever a pointer is cast so as to remove a type qualifier from the target type">
			</Minor>

			<Minor name="Warning Cast Align" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wcast-align"
			cmd="CFLAGS"
			desc="Warn whenever a pointer is cast such that the required alignment of the target is increased">
			</Minor>

			<Minor name="Warning Write Strings" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wwrite-strings"
			cmd="CFLAGS"
			desc="Give string constants the type const char[length] so that copying the address of one into a non-const char* pointer will get a warning">
			</Minor>

			<Minor name="Warning Conversion" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wconversion"
			cmd="CFLAGS"
			desc="Warn if a prototype causes a type conversion that is different from what would happen to the same argument in the absence of a prototype">
			</Minor>

			<Minor name="Warning aggregate return" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Waggregate-return"
			cmd="CFLAGS"
			desc="Warn if any functions that return structures or unions are defined or called">
			</Minor>

			<Minor name="Warning Strict Prototype" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wstrict-prototypes"
			cmd="CFLAGS"
			desc="Warn if a function is declared or defined without specifying the argument types">
			</Minor>

			<Minor name="Warning Missing Prototypes" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wmissing-prototypes"
			cmd="CFLAGS"
			desc="Warn if a global function is defined without a previous prototype declaration">
			</Minor>

			<Minor name="Warning Missing Declarations" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wmissing-declarations"
			cmd="CFLAGS"
			desc="Warn if a global function is defined without a previous declaration">
			</Minor>

			<Minor name="Warning Redundant Decls" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wredundant-decls"
			cmd="CFLAGS"
			desc="Warn if anything is declared more than once in the same scope">
			</Minor>

			<Minor name="Warning Nested Externs" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Wnested-externs"
			cmd="CFLAGS"
			desc="Warn if an extern declaration is encountered within an function">
			</Minor>

			<Minor name="Warning Inline" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Winline"
			cmd="CFLAGS"
			desc="Warn if a function can not be inlined and either it was declared as inline">
			</Minor>

			<Minor name="Warning Overloaded Virtual" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-Woverloaded-virtual"
			cmd="CFLAGS"
			desc="Warn when a derived class function declaration may be an error in defining a virtual function">
			</Minor>
		   </Catalog>

		   <Catalog name="Debug" >
			<Minor name="Enable Debugging" 
			type="COMBOLIST" 
			content="None!DWARF-2!DWARF!STABS+" 
			value="3" 
			syntax="!-gdwarf-2!-gdwarf!-gstabs+"
			cmd="CFLAGS"
			desc="Determine the format of debugging information">
			</Minor>

			<Minor name="Pretend Float" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fpretend-float"
			cmd="CFLAGS"
			desc="When running a cross-compiler, pretend that the target machine uses the same floating point format as the host machine">
			</Minor>

			<Minor name="Print Libgcc file name" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-print-libgcc-file-name"
			cmd="CFLAGS"
			desc="Print the name of the full path of the libgcc.a">
			</Minor>


			<Minor name="Float Store" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-ffloat-store"
			cmd="CFLAGS"
			desc="Do not store floating point variables in register">
			</Minor>

			<Minor name="No default inline" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fno-default-inline"
			cmd="CFLAGS"
			desc="Do not make member functions inline by default merely because they are defined inside the class scope">
			</Minor>

			<Minor name="No Defer Pop" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fno-defer-pop"
			cmd="CFLAGS"
			desc="Always pop the arguments to each function call as soon as that function returns">
			</Minor>

			<Minor name="Force Memory" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fforce-mem"
			cmd="CFLAGS"
			desc="Force memory operands to be copied into registers before doing arithmetic on them">
			</Minor>

			<Minor name="Force Address" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fforce-addr"
			cmd="CFLAGS"
			desc="Force memory address constants to be copied into registers before doing arithmetic on them">
			</Minor>

			<Minor name="Omit Frame Pointer" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="1" 
			syntax="-fomit-frame-pointer"
			cmd="CFLAGS"
			desc="Do not keep the frame pointer in a register for functions that do not need one">
			</Minor>

			<Minor name="No Inline" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fno-inline"
			cmd="CFLAGS"
			desc="Do not pay attention to the inline keywords">
			</Minor>

			<Minor name="Inline Functions" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-finline-functions"
			cmd="CFLAGS"
			desc="Intergrate all simple functions into their callers.">
			</Minor>

			<Minor name="Keep Inline Functions" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fkeep-inline-functions"
			cmd="CFLAGS"
			desc="Even if all calls to a given function are integrated, and the function is declared static, nevertheless output a sepatate runtime callable version of the function">
			</Minor>

		   </Catalog>
		   <Catalog name="C++ Language" >
			<Minor name="Member functions as virtual" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fall-virtual"
			cmd="CFLAGS"
			desc="Treat all possible member functions as virtual">
			</Minor>

			<Minor name="No Access Checking" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fno-access-control"
			cmd="CFLAGS"
			desc="Turn off all access checking">
			</Minor>

			<Minor name="Check new" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fcheck-new"
			cmd="CFLAGS"
			desc="Check that the pointer returned by operator new is non-null before attempting to modify the storage allocated.">
			</Minor>
			
			<Minor name="Conserve Space" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fconserve-space"
			cmd="CFLAGS"
			desc="Put uninitialized or runtime-initialized globa varialbes into the common segment.">
			</Minor>

			<Minor name="Dollars in Identifiers" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fdollars-in-identifiers"
			cmd="CFLAGS"
			desc="Accept $ in identifiers">
			</Minor>

			<Minor name="Enum int Equivalant" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fenum-int-equiv"
			cmd="CFLAGS"
			desc="Anachronistically permit implicit conversion of int to emueration types">
			</Minor>

			<Minor name="External Templates" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fexternal-templates"
			cmd="CFLAGS"
			desc="Cause template instantiations to obey #pragma interface and implementation">
			</Minor>
			
			<Minor name="Alt External Templates" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-falt-external-templates"
			cmd="CFLAGS"
			desc="Template instances are emitted or not according to the place where they are first instantiated">
			</Minor>

			<Minor name="for Scope" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-ffor-scope"
			cmd="CFLAGS"
			desc="the scope of variables declared in a for-init-statement is limited to the for loop itself">
			</Minor>

			<Minor name="No GNU Keywords" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fno-gnu-keywords"
			cmd="CFLAGS"
			desc="Do not recognize GNU keywords about C++">
			</Minor>

			<Minor name="No Implicit Templates" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fno-implicit-templates"
			cmd="CFLAGS"
			desc="Never emit code for templates which are instantiated implicitly">
			</Minor>
			
			<Minor name="Handle Signatures" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fhandle-signatures"
			cmd="CFLAGS"
			desc="Recognize the signature and sigof keywords for specifying abstract types">
			</Minor>
			
			<Minor name="Huge Objects" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fhuge-objects"
			cmd="CFLAGS"
			desc="Support virtual function calls for objects that exceed the size representable by a short int">
			</Minor>

			<Minor name="No Implement Inlines" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fno-implement-inlines"
			cmd="CFLAGS"
			desc="To Save space, do not emit out-of-line copies of inline functions controlled by #pragma implementation">
			</Minor>

			<Minor name="Memory Lookups" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fmemorize-lookups"
			cmd="CFLAGS"
			desc="Use heuristics to compile faster">
			</Minor>

			<Minor name="Strict Prototype" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fstrict-prototype"
			cmd="CFLAGS"
			desc="Within an extern C linkage specification, treat a function declaration with no arguments">
			</Minor>

			<Minor name="No Nonnull Objects" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fno-nonnull-objects"
			cmd="CFLAGS"
			desc="Do not assume that a reference is initialized to refer to a valid object">
			</Minor>

			<Minor name="Operator Name" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-foperator-name"
			cmd="CFLAGS"
			desc="Recognize the operator name keywords and, bitand, bitor, compl, not, or and xor as synonyms">
			</Minor>

			<Minor name="Repo" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-frepo"
			cmd="CFLAGS"
			desc="Enable automatic template instantiation">
			</Minor>
			
			<Minor name="This is Variable" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fthis-is-variable"
			cmd="CFLAGS"
			desc="Permit assignment to this">
			</Minor>
			
			<Minor name="Vtable Thunks" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fvtable-thunks"
			cmd="CFLAGS"
			desc="Use thunks to implement the virtual function dispatch table">
			</Minor>
			
			<Minor name="No Standard Include C++" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-nostdinc++"
			cmd="CFLAGS"
			desc="Do not search for header files in the standard directories specific to C++">
			</Minor>

			<Minor name="No default inline" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-fno-default-inline"
			cmd="CFLAGS"
			desc="Do not assume inline for functions defined inside a class scope.">
			</Minor>

		   </Catalog>		   	
		   <Catalog name="Preprocessor" >
				<Minor name="Include file" 
				type="Edit" 
				content="" 
				value="" 
				syntax="-include %l"
				cmd="CFLAGS"
				desc="Include the contents of file before other files.">
				</Minor>
		   </Catalog>
		</Cluster>

		

		<Cluster name="Linker" Tool="LD">
		   <Catalog name="General">
			<Minor name="Linker script" 
			type="File" 
			content="" 
			value="" 
			syntax="-T %s"
			cmd="LDFLAGS"
			MaskSibling="1"
			desc="Use linker script instead of command line option. If you do not want to use the script, please clear it.">
			</Minor>
			
		   	<Minor name="Start address" 
			type="Edit" 
			content="" 
			value="" 
			syntax="-e %s"
			cmd="LDFLAGS"
			desc="Set start address of the program.">
			</Minor>
		
			<Minor name=".text Address " 
			type="Edit" 
			content="" 
			value="" 
			syntax="-Ttext %x"
			cmd="LDFLAGS"
			desc="Set address of .text section.">
			</Minor>
	
			<Minor name=".data Address " 
			type="Edit" 
			content="" 
			value="" 
			syntax="-Tdata %x"
			cmd="LDFLAGS"
			desc="Set address of .data section.">
			</Minor>
			
			<Minor name=".bss Address " 
			type="Edit" 
			content="" 
			value="" 
			syntax="-Tbss %x"
			cmd="LDFLAGS"
			desc="Set address of .bss section.">
			</Minor>

			<Minor name="Additional Libs" 
			type="Edit" 
			content="" 
			value="0" 
			syntax="-l%l"
			cmd="LDFLAGS"
			desc="Search the libraries when linking ">
			</Minor>			
			
			<Minor name="Additional Lib Path" 
			type="Path" 
			content="" 
			value="" 
			syntax="-L%l"
			cmd="LDFLAGS"
			desc="Search path for the additional libraries ">
			</Minor>
			
			<Minor name="Generate Map File" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="1" 
			syntax="-Wl,-Map -Wl,$(basename $@).map"
			cmd="LDFLAGS"
			desc="Do not use the standard system startup files when linking.">
			</Minor>
						
			<Minor name="Define symbol " 
			type="Edit" 
			content="" 
			value="" 
			syntax="-Wl,--defsym -Wl,%l"
			cmd="LDFLAGS"
			desc="Define a symbol">
			</Minor>									

										
			<Minor name="No start files" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-nostartfiles"
			cmd="LDFLAGS"
			desc="Do not use the standard system startup files when linking.">
			</Minor>

			
			<Minor name="No default lib" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-nodefaultlibs"
			cmd="LDFLAGS"
			desc="Do not use the standard system libraries when linking">
			</Minor>

			<Minor name="No standard lib" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-nostdlib"
			cmd="LDFLAGS"
			desc="Do not use the standard system libraries and startup files when linking">
			</Minor>

			<Minor name="Static Linking" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="1" 
			syntax="-static"
			cmd="LDFLAGS"
			desc="Static Linking">
			</Minor>

			<Minor name="Remove Symbol" 
			type="BOOL" 
			content="FALSE!TRUE" 
			value="0" 
			syntax="-s"
			cmd="LDFLAGS"
			desc="Remove all symbol table and relocation information from the executable">
			</Minor>
			
		   </Catalog>	
		</Cluster>
	</Configuration>
</Configurations>


